Solid Edge Framework Type Library
AddMaterialToFavorites Method
Specify name of the material to be added to list of favorite materials.
Specify name of the library in which the material is available.
Description
Adds the input material to the list of favorite materials.
Syntax
Visual Basic
Public Sub AddMaterialToFavorites( _
   ByVal bstrMaterialName As String, _
   ByVal bstrLibraryName As String _
) 
Parameters
bstrMaterialName
Specify name of the material to be added to list of favorite materials.
bstrLibraryName
Specify name of the library in which the material is available.
Example
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objType As Type = Nothing
        Dim objMatTable As SolidEdgeFramework.MatTable = Nothing
        Dim strLibrary As String = "Materials"
        Dim objDocument As SolidEdgePart.PartDocument = Nothing
        Dim strMaterial As String
        Dim varGetPropVal As Object = Nothing


        Try
            ' Get SE handle
            objApp = Marshal.GetActiveObject("SolidEdge.Application")

            If objApp Is Nothing Then
                ' Get the type from the Solid Edge ProgID
                objType = Type.GetTypeFromProgID("SolidEdge.Application")
                ' Start Solid Edge
                objApp = Activator.CreateInstance(objType)
                ' Make Solid Edge visible
                objApp.Visible = True
            End If
            ' Get material table object handle
            objMatTable = objApp.GetMaterialTable()

            ' Set material name
            strMaterial = "Nylon, general purpose"

            ' Add to favorites
            objMatTable.AddMaterialToFavorites(strMaterial, strLibrary)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub

End Class
See Also

MatTable Object  | MatTable Members